Subject: [tcpm] Feedback on WG acceptance of draft-zimmermann-tcpm-cubic-01

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 22 Apr 2015 08:53:46 +0000

Dear all,

During IETF 91 [1] and on the list there has been strong support for WG adoption of draft-zimmermann-tcpm-cubic [2]. It seems consensus in TCPM to adopt this document.

In order to move forward, the chairs seek for additional community guidance regarding the intended status:

a) Proposed standard

b) Experimental

c) Informational

During IETF 91, there was strong support for Proposed Standard [1]. Yet, given the running code and the potential evolution of congestion control algorithms in future, the chairs want to ensure that there is strong consensus in TCPM on the intended status. Also, we would like to handle this question consistently among potential other alternative congestion control algorithms.

Additional information regarding the RFC status can be found in [3], and there is also an IESG statement on the difference between Experimental and Informational [4].

Please let us know any feedback on the WG acceptance of draft-zimmermann-tcpm-cubic-01 and specifically the intended status until May 8.

Thanks!

Michael, Pasi, Yoshifumi

[1] http://www.ietf.org/proceedings/91/minutes/minutes-91-tcpm

[2] https://tools.ietf.org/html/draft-zimmermann-tcpm-cubic-01

[2] RFC 2026, Section 4.1.1, 4.2.1, 4.2.2

[3] https://www.ietf.org/iesg/informational-vs-experimental.html

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Wed, 29 Apr 2015 12:32:20 +0000

Hi,

I'm still in support, on standards track.. From my point of view, the definitions in [4] don't quite match here (but I would probably be content with informational, if something really limits submission as standards track).

Best regards,
  Richard

> -----Original Message-----
> From: tcpm [mailto:[email-masked]] On Behalf Of Scharf, Michael
> (Michael)
> Sent: Mittwoch, 22. April 2015 10:54
> To: [email-masked]
> Subject: [tcpm] Feedback on WG acceptance of draft-zimmermann-tcpm-cubic-
> 01
> 
> Dear all,
> 
> During IETF 91 [1] and on the list there has been strong support for WG
> adoption of draft-zimmermann-tcpm-cubic [2]. It seems consensus in TCPM to
> adopt this document.
> 
> During IETF 91, there was strong support for Proposed Standard [1]. Yet,
> given the running code and the potential evolution of congestion control
> algorithms in future, the chairs want to ensure that there is strong
> consensus in TCPM on the intended status. Also, we would like to handle
> this question consistently among potential other alternative congestion
> control algorithms.
> 
> Additional information regarding the RFC status can be found in [3], and
> there is also an IESG statement on the difference between Experimental and
> Informational [4].
> 
> Please let us know any feedback on the WG acceptance of draft-zimmermann-
> tcpm-cubic-01 and specifically the intended status until May 8.
> 
> Thanks!
> 
> Michael, Pasi, Yoshifumi
> 
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: Yuchung Cheng <[email-masked]>
Date: Wed, 29 Apr 2015 08:40:38 -0700

I vote for informational, unless the WG consensus recommends cubic as
standard congestion control.

---

From: Neal Cardwell <[email-masked]>
Date: Wed, 29 Apr 2015 11:52:01 -0400

+1 for informational.

neal

---

From: Joe Touch <[email-masked]>
Date: Wed, 29 Apr 2015 12:38:17 -0700

+1

---

From: Michael Welzl <[email-masked]>
Date: Wed, 29 Apr 2015 22:38:41 +0200

+1

> On 29. apr. 2015, at 21.38, Joe Touch <[email-masked]> wrote:
> 
> +1
>

---

From: Tim Wicinski <[email-masked]>
Date: Wed, 29 Apr 2015 17:25:12 -0400

+1 on informational.

tim

---

From: "Eggert, Lars" <[email-masked]>
Date: Thu, 30 Apr 2015 07:06:20 +0000

On 2015-4-29, at 14:32, Scheffenegger, Richard <[email-masked]> wrote:
> I'm still in support, on standards track.

Me too, given that this has been the default CC on Linux for years now. What's the reason for Informational; that this was done outside of the IETF and therefore doesn't deserve PS? That seems a bit dogmatic given the amount of real world experience.

But: I'd rather see it published as Informational that not at all.

Lars

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Thu, 30 Apr 2015 09:33:32 +0000

> Me too, given that this has been the default CC on Linux for years now.
> What's the reason for Informational; that this was done outside of the
> IETF and therefore doesn't deserve PS? That seems a bit dogmatic given
> the amount of real world experience.

In my view, there is sufficient real world experience, and we had quite a number of TCPM and ICCRG discussions on CUBIC in the past.

I actually care more about another aspect: The CUBIC algorithm have evolved in the past, at least regarding details, and it would be a surprise if this evolution would stop. 

I think the key question is whether we can come up with one "standardized" version of CUBIC that will hopefully be stable for some time, or whether the best we can do in TCPM is to document some snapshot of the algorithm. Both options seem possible to me in principle, but the former one requires more community effort to ensure that the document will not be outdated soon.

> But: I'd rather see it published as Informational that not at all.

In any case, there seems to be unanimous consensus that we will publish a document draft-ietf-tcpm-cubic.

Maybe a related follow-up question should be: What is the expected time-frame for the milestone of submitting draft-ietf-tcpm-cubic to the IESG? 2015? 2016? 2017?

Any thoughts?

Michael

PS: Bob raised a similar question on the AQM list: http://www.ietf.org/mail-archive/web/aqm/current/msg01159.html

---

From: Joe Touch <[email-masked]>
Date: Thu, 30 Apr 2015 07:29:59 -0700

On 4/30/2015 12:06 AM, Eggert, Lars wrote:
> Me too, given that this has been the default CC on Linux for years
> now. What's the reason for Informational; that this was done outside of
> the IETF and therefore doesn't deserve PS? That seems a bit dogmatic
> given the amount of real world experience.

PS would imply that the CUBIC community was coming to the IETF and
willing to accept "rough consensus", which might result in changes.

Informational is appropriate for de-facto standards that are NOT being
taken to the IETF for that consensus process.

Given the history of this alg, Information is the best that can happen
unless we're opening it up for changes.

Joe

---

From: Tim Wicinski <[email-masked]>
Date: Thu, 30 Apr 2015 10:34:36 -0400

Experimental is also an option, if the WG is not sure on deployment.

tim

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Thu, 30 Apr 2015 14:46:16 +0000

Lars, Alex,

correct me if I'm wrong, but my understanding was that the draft has been released by the original authors for community discussion and feedback, right? So if the mechanism can be improved, any feedback to that effect could be added even if it means that the draft does no longer match what is in Linux (iOS, BSD)...

At least that was the basis for me to support PS status...

Best regards,
  Richard

> From: Eggert, Lars
> Sent: Donnerstag, 30. April 2015 09:06
> To: Scheffenegger, Richard
> Cc: Scharf, Michael (Michael); [email-masked]
> Subject: Re: [tcpm] Feedback on WG acceptance of draft-zimmermann-tcpm-
> cubic-01
> 
> IETF and therefore doesn't deserve PS? That seems a bit dogmatic given the
> amount of real world experience.
>

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Thu, 30 Apr 2015 14:57:03 +0000

Yes, experimental is another option. RFC 3649 (Highspeed TCP) is Experimental.

But I'd assume there is much more operational deployment experience with CUBIC than with RFC 3649, i.e., it is actually not an apply-to-apple comparison.

Michael

> From: tcpm [mailto:[email-masked]] On Behalf Of Tim Wicinski
> Sent: Thursday, April 30, 2015 4:35 PM
> To: [email-masked]

---

From: "Eggert, Lars" <[email-masked]>
Date: Thu, 30 Apr 2015 14:55:59 +0000

On 2015-4-30, at 16:46, Scheffenegger, Richard <[email-masked]> wrote:
> correct me if I'm wrong, but my understanding was that the draft has been released by the original authors for community discussion and feedback, right?

It is submitted with the regular ID boilerplate, and if adopted, I guess the WG could do whatever it wanted with the content.

> So if the mechanism can be improved, any feedback to that effect could be added even if it means that the draft does no longer match what is in Linux (iOS, BSD)...

That would be one outcome, but I'm not sure how useful it would be, because then we'd again have a document that documents something, but that something is not what the actual code does.

There are a bunch of Linux committers on this list, so I guess if TCPM had good improvements to make, there is a chance they would make it back into the code, but it's not automatic.

Do we think that the WG can make substantial improvements to the algorithm? (Not the ID text, the algorithm.) I don't know. I guess we are in a better position to answer this once the document has captured what the current code is actually doing, which at the moment it doesn't yet.

So maybe we table this discussion for a while?

Lars

---

From: Loganaden Velvindron <[email-masked]>
Date: Fri, 1 May 2015 10:02:58 +0400

> In order to move forward, the chairs seek for additional community guidance regarding the intended status:

Informational seems like a good choice for now.